Cyberduck Mountain Duck CLI

#5740 closed defect (fixed)

When expanding folders, window scrolls back down to highlighted item

Reported by: krezreb Owned by: dkocher
Priority: normal Milestone: 4.1
Component: interface Version: 3.8.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

This appears to be the same problem as described in ticket 2008. I'm in Version 3.8.1 (7954) on OS X 10.6.6. How to reproduce:

  • in a long file list, select any file.
  • scroll up or down so that the selected file is no longer visible
  • expand a folder using the triangle tab
  • once the listing for that folder arrives from the server, the window will scroll up or down to show the file selected in step 1.

Refer to #2008.

Change History (6)

comment:1 Changed on Mar 3, 2011 at 5:27:15 PM by dkocher

  • Description modified (diff)
  • Summary changed from Ticket #2008 not fixed -- when expanding folders, window scrolls back down to highlighted item to When expanding folders, window scrolls back down to highlighted item

comment:2 Changed on Mar 5, 2011 at 4:38:58 PM by dkocher

  • Component changed from core to interface
  • Owner set to dkocher

comment:3 Changed on Mar 10, 2011 at 5:06:33 PM by dkocher

  • Milestone set to 4.0.2
  • Resolution set to fixed
  • Status changed from new to closed

In r8540.

comment:4 Changed on Apr 13, 2011 at 11:31:11 AM by dkocher

  • Milestone changed from 4.0.2 to 4.0.3
  • Resolution fixed deleted
  • Status changed from closed to reopened

The automatic selection of the folders is confusing users.

comment:5 Changed on Apr 14, 2011 at 1:06:10 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Revised fix in r8649.

comment:6 Changed on Jun 2, 2011 at 3:37:46 PM by dkocher

  • Milestone changed from 4.0.3 to 4.1

Milestone 4.0.3 deleted

Note: See TracTickets for help on using tickets.
swiss made software